import type { CalendarDay } from "./classes/index.js";
import type { MoveFocusBy, MoveFocusDir, DateLib, DayPickerProps, Mode } from "./types/index.js";
import { UseCalendar } from "./useCalendar.js";
import { UseModifiers } from "./useModifiers.js";
import { UseSelection } from "./useSelection.js";
export type UseFocus = {
    /** The date that is currently focused. */
    focused: CalendarDay | undefined;
    /** Check if the given day is the focus target when entering the calendar. */
    isFocusTarget: (day: CalendarDay) => boolean;
    /** Focus the given day. */
    setFocused: (day: CalendarDay | undefined) => void;
    /** Set the last focused day. */
    setLastFocused: (day: CalendarDay | undefined) => void;
    /** Blur the focused day. */
    blur: () => void;
    moveFocus: (moveBy: MoveFocusBy, moveDir: MoveFocusDir) => void;
};
/** @private */
export declare function useFocus(props: Pick<DayPickerProps, "autoFocus" | "disabled" | "hidden" | "modifiers" | "numberOfMonths" | "locale" | "ISOWeek" | "weekStartsOn">, calendar: UseCalendar, modifiers: UseModifiers, selection: UseSelection<{
    mode: Mode;
}>, dateLib: DateLib): UseFocus;
